package com.agilex.healthcare.schedulingmanager.dataservice;

import com.agilex.healthcare.schedulingmanager.datalayer.appointment.DetailCodeDataLayer;
import com.agilex.healthcare.schedulingmanager.domain.SMDetailCode;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Set;

@Component
public class DetailCodeDataService {

    @Resource
    DetailCodeDataLayer detailCodeDataLayer;
	
	public Set<SMDetailCode> fetchDetailCodes(){
		return detailCodeDataLayer.fetchDetailCodes();
	}
	
	public SMDetailCode fetchDetailCodeByCode(String code){
		return detailCodeDataLayer.fetchDetailCodeByCode(code);
	}
}
